<?php
require('config.inc.php');
require_login();
if($super < 1)
{
	logout();
	require_login('admin');
}

$cpuid = exec("cat /proc/cpuid");

if(isset($_GET['time']))
{
	$time = strtotime($_GET['time']);
	exec("date -s '" . $_GET['time'] . "'");
	exec("hwclock -w");
	header("location: " . php_filename());
}

if(isset($_POST['confirm']))
{
	//$setup = parse_ini_file($str_file_setup);
	$setup['port'] = $_POST['port'];
	$setup['scene'] = $_POST['scene'];
	$setup['keypad'] = $_POST['keypad'];
	$setup['baudrate'] = $_POST['baudrate'];
	$setup['language'] = $_POST['language'];
	
	if($super > 1)
	{
		echo $_POST['lic_type'];
		echo $_POST['lic_date'];
		$setup['images'] = $_POST['images'];
	}

	$content = "[system]\n";
	foreach ($setup as $key => $elem)
		$content .= "$key=$elem\n";
	file_put_contents($str_file_setup, $content);
	
	//$config = parse_ini_file($str_file_config);
	$config['mfb'] = $_POST['mfb'];
	$config['splice'] = $_POST['splice'];
	$content = "[config]\n";
	foreach ($config as $key => $elem)
		$content .= "$key=$elem\n";
	file_put_contents($str_file_config, $content);
	
	$keypad = $_POST['keypad'];

	if($keypad == '0')
		system("cp /boot/imx6ul-14x14-som6210-lcdips.dtb /boot/imx6ul-14x14-evk.dtb");

	if($keypad == '-1')
		system("cp /boot/imx6ul-14x14-som6210-lcd7in.dtb /boot/imx6ul-14x14-evk.dtb");
	
	if($keypad == '-2')
		system("cp /boot/imx6ul-14x14-som6210-lcd10in.dtb /boot/imx6ul-14x14-evk.dtb");
	
	system("reboot");
	header("location: " . php_filename());
}

require('header.inc.php');
?>

<div class="container theme-showcase" role="main" style="margin-top:20px;line-height:30px;">

<form name="form" action="" method="post">	
	<div class="panel panel-default">
		<div class="panel-heading">
			<h3 class="panel-title">出厂设置</h3>
		</div>
		<div class="panel-body">
			语言设置：<input name="language" type="text" value="<?=$setup['language']?>" /> zh：中文；en：英文<br />
			端口数量：<input name="port" type="text" value="<?=$setup['port']?>" /> 最大160<br />
			场景数量：<input name="scene" type="text" value="<?=$setup['scene']?>" /> 最大40<br />
			串口速率：<input name="baudrate" type="text" value="<?=$setup['baudrate']?>" /> 最大115200<br />
			显示设置：<input name="keypad" type="text" value="<?=$setup['keypad']?>" /> -2为旧10寸屏；-1为旧7寸屏；0为新高清屏（7寸和10寸）；1为液晶+按键；2为液晶+按键，只切换不设置<br />
			多功能按钮：<input name="mfb" type="text" value="<?=$mfb?>" /> 1：显示多功能按钮；0：不显示多功能按钮<br />
			分屏操作：<input name="splice" type="text" value="<?=$splice?>" /> 1：显示分屏操作按钮；0：不显示分屏操作按钮<br />
<?php
if($super > 1)
{
?>
			设备标识：<?=$cpuid?> <br />
			本地时间：<span id="local_time"></span> <br />
			设备时间：<span id="device_time"></span> <a id="link_time" href="?sync=1">同步至本地时间</a><br />
<script src="js/matrix.js"></script>
<script type="text/javascript">
$(function()
{
	setInterval("loadTime();",1000);
})

function showTime(data)
{
	$("#local_time").html((new Date()).Format("yyyy-MM-dd hh:mm:ss"));
	$("#link_time").attr("href","?time=" + new Date().Format("yyyy-MM-dd hh:mm:ss"));
	$("#device_time").html(data);
}

function loadTime()
{
	if($("select[name='lic_type']").val()=="0")
		$("#date_sel").show();
	else
		$("#date_sel").hide();

	$.get("time.php", showTime);
}
</script>
			图片库：
				<select name="images" style="height:36px">			
<?php
$dir = "images";
$list = scandir($dir);
foreach($list as $file)
{
	$path = $dir . "/" . $file;
	if($file != "." && $file != ".." && is_dir($path))
	{
		$flag = ($images == $file) ? "selected" : "";
		echo "<option $flag>$file</option>";
	}
}
?>
				</select>
<?php
}
?>
		</div>
	</div>
	
	<input name="confirm" type="submit" class="btn btn-default" value="确认" />
</form>

</div>

<?php require('footer.inc.php'); ?>
